关于Visio Studio 2012使用Nuget获取Sqlite驱动包报错:

 

 

参考

使用VS二零一二自带Nuget安装System.Data.Sqlite注重包,剖析、下载以及安装前半部分均没反常,在安装最终的System.Data.SQLite.EF6时面世宽容性难题。

主题素材陈说

VS二〇一三给的建议是提高Nuget,不过笔者思量到温馨的VS版本太旧,指不定曾几何时再冒出什么样难题,索性给VS来二次进级。

开始时期,小编尝试选取Nuget加多Mongodb相关信赖包,结果提醒重视包与Nuget版本不匹配。因为已经有了手动下载好的包,所以就没介怀,手动增加了依赖包。

透过悠久的等候,终于升迁成功,再度安装信任包,成功。

新近,再度使用Nuget增加sqlite包,开掘还是存在宽容性难题。于是小编本着有援助小组的讨论,尝试消除那些难题。

点击工具栏  工具->伸张和更新->更新,更新VS。

 

“System.Data.SQLite.EF6”的架构版本与 NuGet 的本子 2.0.30625.9003 不相配,请尝试到Nuget官方网址晋级最新版Nuget。

背景

施工方案

 

读者能够挑选更加轻量的办法,仅晋级Nuget。

笔者的VS二零一二本子比较老旧,是几年从前下载的。平常增加征三号方包和驱动包都以手动增添。后来询问到有Nuget这一个工具,如获至宝。可是在利用进度中却出了众多主题材料。

此情此景描述

本文由88必发唯一官网必发布于服务器&运维,转载请注明出处:关于Visio Studio 2012使用Nuget获取Sqlite驱动包报错:

相关阅读